Updates a Watts chat (e.g., rename). Chat must belong to the authenticated user.
Use this endpoint to rename a chat session. Requires the VirtualEnergyManager feature flag.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| chatId | Unique numeric identifier of the chat to edit | integer (int32) | Required |
Request Body
WattsChatEditV202510
| Property | Description | Type |
|---|---|---|
| wattsChatInfo | Watts chat name / chat title Must be between 0 and 50 characters Required | string |
Example Request Body
{ "wattsChatInfo": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
WattsChatResponseV202510
| Property | Description | Type |
|---|---|---|
| createdDate | Date/time offset representing when Watts chat was created | string (date-time) |
| wattsChatId | The identifier for the Watts chat | integer (int32) |
| wattsChatInfo | Watts chat name / chat title | string |
Example Response
{ "createdDate": "2026-06-12", "wattsChatId": 1, "wattsChatInfo": "string"
}